<div class="container">
  <h2>Add post</h2>

  <%= form_for @post, url: {action: "create"}, html: {class: "nifty_form", multipart: true } do |f| %>
    <table>
      <tr>
        <td><%= f.label :title %></td></tr>
       <tr> <td><%= f.text_field :title %></td>
      </tr>
      <tr>
        <td><%= f.label :content %></td></tr><div class="fr-view">
        <tr><td><%= f.text_area :content, as: :froala_editor %><div id="example"></div></td></tr></div>

      <%= f.hidden_field :user_id, :value => current_user.id %>
        <tr>
          <td>
            <%= f.fields_for :pictures do |picture| %>
              <%= render "picture_fields", f: picture %>
              <%= link_to_add_association 'Add picture', f, :pictures%>
            <% end %>
          </td>
        </tr>
        <tr>
          <td><%= f.submit "Submit"%></td>
        </tr>
    </table>
    <% end %>
</div>
